Page MenuHomePhabricator

Huggle crash: Result was not NULL memory would leak: 0x73f88e0
Closed, ResolvedPublic

Description

Version: 3.1.12 build: 2563 3.1.12-1-ga0be145 without python support, compiled using QT 5.4.0 Running on QT 5.4.0

I was shutting down Huggle. At the time of the crash, Huggle was reporting that it was 60% done updating the whitelist.

System log

Thu May 28 15:35:56 2015: Successfully delivered message on enwiki to: 122.161.165.74
Thu May 28 15:35:32 2015: Successfully delivered message on enwiki to: 2.50.18.20
Thu May 28 15:32:53 2015: Alex:D with score -4006 on enwiki has been inserted to whitelist
Thu May 28 15:31:46 2015: Successfully delivered message on enwiki to: The0nly1man
Thu May 28 15:31:04 2015: Successfully delivered message on enwiki to: 110.232.90.2
Thu May 28 15:30:09 2015: Successfully delivered message on enwiki to: 166.170.5.111
Thu May 28 15:28:40 2015: Successfully delivered message on enwiki to: 91.243.69.236
Thu May 28 15:27:53 2015: Successfully delivered message on enwiki to: Jimmythebiff
Thu May 28 15:27:02 2015: Successfully delivered message on enwiki to: 91.243.69.236
Thu May 28 15:26:58 2015: Successfully delivered message on enwiki to: 58.168.232.235
Thu May 28 15:26:37 2015: Successfully delivered message on enwiki to: 115.245.161.0
Thu May 28 15:22:29 2015: Conflict resolved: do not perform any action - there are multiple edits by same user to Brian Wong
Thu May 28 15:16:52 2015: Successfully delivered message on enwiki to: Kingnarco1771
Thu May 28 15:16:50 2015: Conflict resolved: did not perform any action - there are newer edits to Loch Ness
Thu May 28 15:15:56 2015: Successfully delivered message on enwiki to: 121.211.136.41
Thu May 28 15:15:25 2015: Successfully delivered message on enwiki to: 103.226.224.173
Thu May 28 15:14:40 2015: Successfully delivered message on enwiki to: 2601:406:4B01:D437:CDAD:43BD:8579:4A3D
Thu May 28 15:14:17 2015: Successfully delivered message on enwiki to: 122.164.216.127
Thu May 28 15:13:52 2015: ERROR: Unable to deliver the message to 110.70.47.44: Failed to deliver the message
Thu May 28 15:13:23 2015: Successfully delivered message on enwiki to: 2601:406:4B01:D437:CDAD:43BD:8579:4A3D
Thu May 28 15:12:24 2015: Conflict resolved: did not perform any action - there are newer edits to CSI
Thu May 28 15:12:11 2015: Successfully delivered message on enwiki to: 122.164.216.127
Thu May 28 15:12:08 2015: Conflict resolved: reverted all edits, including new edits. Edits were by same user: CSI.
Thu May 28 15:12:02 2015: Successfully delivered message on enwiki to: 91.243.69.231
Thu May 28 15:11:55 2015: WARNING: Wiki returned no registration time of LMSchmitt
Thu May 28 15:10:35 2015: Successfully delivered message on enwiki to: 24.12.168.3
Thu May 28 15:10:34 2015: Successfully delivered message on enwiki to: 122.3.135.110
Thu May 28 15:10:21 2015: Successfully delivered message on enwiki to: 91.243.69.231
Thu May 28 15:09:33 2015: Conflict resolved: do not perform any action - there are multiple edits by same user to Gunpowder Plot
Thu May 28 15:08:17 2015: Successfully delivered message on enwiki to: Micromaxcanvas
Thu May 28 15:07:50 2015: Successfully delivered message on enwiki to: 2601:1:8E81:AFEE:4102:7ABB:F550:B34A
Thu May 28 15:07:02 2015: Successfully delivered message on enwiki to: 91.243.69.231
Thu May 28 15:06:55 2015: Conflict resolved: reverted all edits, including new edits. Edits were by same user: Loch Ness.
Thu May 28 15:06:07 2015: ERROR: Failed to retrieve founder for page The Crossing (2000 film): Connection closed
Thu May 28 15:05:59 2015: Unable to retrieve User talk:82.19.156.129 warning level will not be scored by it
Thu May 28 15:05:57 2015: WARNING: Failed to obtain diff for John Paul George + Ringo the error was:
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for User:JGRComm the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:JGRComm warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Unable to fetch user information for JGRComm: Connection closed
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page User:JGRComm: Connection closed
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for User:Myyavatmal the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:Myyavatmal warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Unable to fetch user information for Myyavatmal: Connection closed
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page User:Myyavatmal: Connection closed
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for Maktab Anbar the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:96.246.152.78 warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page Maktab Anbar: Connection closed
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for User talk:ԱշոտՏՆՂ the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:ԱշոտՏՆՂ warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Unable to fetch user information for ԱշոտՏՆՂ: Connection closed
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page User talk:ԱշոտՏՆՂ: Connection closed
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for List of Case Closed episodes (seasons 16–current) the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:Detective_Conan_india warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Unable to fetch user information for Detective_Conan_india: Connection closed
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page List of Case Closed episodes (seasons 16–current): Connection closed
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for Gregory Zapantis the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:NYkykla warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Unable to fetch user information for NYkykla: Connection closed
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page Gregory Zapantis: Connection closed
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for Capricorn (astrology) the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:Utraviolet warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Unable to fetch user information for Utraviolet: Connection closed
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page Capricorn (astrology): Connection closed
Thu May 28 15:05:46 2015: WARNING: Failed to obtain diff for Mallakottai the error was:
Thu May 28 15:05:46 2015: Unable to retrieve User talk:69.164.211.221 warning level will not be scored by it
Thu May 28 15:05:46 2015: ERROR: Failed to retrieve founder for page Mallakottai: Connection closed
Thu May 28 15:05:22 2015: ERROR: Unable to fetch user information for BDDD: Connection closed
Thu May 28 15:05:22 2015: ERROR: Failed to retrieve founder for page John Paul George + Ringo: Connection closed
Thu May 28 15:05:22 2015: WARNING: Failed to obtain diff for Mad Max series legacy and influence in popular culture the error was:
Thu May 28 15:05:22 2015: ERROR: Unable to fetch user information for TokieDokie^3^: Connection closed
Thu May 28 15:05:22 2015: ERROR: Failed to retrieve founder for page Mad Max series legacy and influence in popular culture: Connection closed
Thu May 28 15:02:11 2015: enwiki: Connected to IRC recent changes feed
Thu May 28 15:02:10 2015: Connecting to recent changes stream on enwiki using provider: IRC
Thu May 28 15:02:10 2015: ERROR: Failure of feed provider XMLRCS on enwiki, trying to find some alternative provider
Thu May 28 15:02:10 2015: ERROR: There is no XmlRcs provider for enwiki
Thu May 28 15:02:10 2015: Connecting to recent changes stream on enwiki using provider: XMLRCS
Thu May 28 15:00:04 2015: Loaded in 23597ms
Thu May 28 15:00:04 2015: Extensions: 4
Thu May 28 15:00:04 2015: Successfully loaded: C:\Program Files\Huggle\extensions\huggle_thanks.dll
Thu May 28 15:00:04 2015: Successfully loaded: C:\Program Files\Huggle\extensions\huggle_sh.dll
Thu May 28 15:00:04 2015: Successfully loaded: C:\Program Files\Huggle\extensions\huggle_md.dll
Thu May 28 15:00:04 2015: Successfully loaded: C:\Program Files\Huggle\extensions\huggle_en.dll
Thu May 28 15:00:03 2015: Loading plugins in C:\Program Files\Huggle\extensions and C:\Users\Win7\AppData\Local\Wikimedia\Huggle\extensions\
Thu May 28 14:59:53 2015: Home: C:/Users/Win7/AppData/Local/Wikimedia/Huggle
Thu May 28 14:59:41 2015: Loading configuration
Thu May 28 14:59:41 2015: Huggle 3 QT-LX, version 3.1.12 build: 2563 3.1.12-1-ga0be145

Exception details

Error code: 2
Reason: Result was not NULL memory would leak: 0x73f88e0
Source:void __thiscall Huggle::Query::ThrowOnValidResult(void)@C:\Users\petr.bena\Documents\huggle3-qt-lx\huggle\query.cpp:162
Stack trace:
6 unknown symbol 0x0
5 unknown symbol 0x0
4 unknown symbol 0x0
3 unknown symbol 0x0
2 unknown symbol 0x0
1 unknown symbol 0x0
0 unknown symbol 0x0

Event Timeline

Wtmitchell raised the priority of this task from to Needs Triage.
Wtmitchell updated the task description. (Show Details)
Wtmitchell added a subscriber: Wtmitchell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 7:48 AM

(For future reference, please associate a project to tasks. Thank you a lot!)

Petrb triaged this task as Medium priority.Jun 15 2015, 1:23 PM
Petrb added a subscriber: Petrb.
Petrb added a comment.Jun 19 2015, 2:19 PM

Can you try with last version, 3.1.13? Thanks

Josve05a renamed this task from Huggle crash, with system log info. to Huggle crash: Result was not NULL memory would leak: 0x73f88e0.Jul 9 2015, 8:21 AM
Josve05a set Security to None.
Petrb closed this task as Resolved.Jul 9 2015, 8:30 AM
Petrb claimed this task.